
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_waitdownline")]
    public class BaseWaitdownline
    {

        [Key]
        [Column("id")]
        public Guid? id { get; set; }

        /// <summary>
        /// 小车id
        /// </summary>
        [Column("car_id")]
        public Guid? carId { get; set; }

        /// <summary>
        /// 小车编码
        /// </summary>
        [Column("car_no")]
        public int? carNo { get; set; }

        /// <summary>
        /// 小车名称
        /// </summary>
        [Column("car_name")]
        public string carName { get; set; }

        [Column("downline")]
        public int? downline { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("materiel_num")]
        public int? materielNum { get; set; }

        [Column("materiel_no")]
        public string materielNo { get; set; }
    }
}

